from django.db import models

# Create your models here.

class Biounit(models.Model):
	class Meta:					# Optional but
		db_table = 'biounits'	# Recommended, name your DB table

	smtl_id = models.CharField(max_length=10)
	title = models.TextField()
	resolution = models.FloatField()

class Ligand(models.Model):
	class Meta:					# Optional but
		db_table = 'ligands'	# Recommended, name your DB table

	biounit = models.ForeignKey(Biounit)
	shortname = models.CharField(max_length=3)
	longname = models.TextField()
	annotation = models.CharField(max_length=128,
					 			  choices=(
									('unknown','Unknown'),
									('irrelevant','Non-functional Binders'),
									('buffer','Buffer'),
									('solvent','Solvent'),
									('impurity','Precipitate/Ion/Organic Non-Binder'),
									('covalent','Covalent'),
									('ptm','Post Translational Modification'),
									('chemically_modified','Chemical modification'),
									('non-covalent','Non-covalent'),
									('natural','Natural, non covalently bound'),
									('synthetic','Synthetic, non covalently bound'))
                   				 )
